%global momorel 3
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: Simple, nice looking full screen front-end for Amarok
Name: amarokFS
Version: 0.5
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=52641
Group: Applications/Multimedia
Source0: http://www.kde-apps.org/CONTENT/content-files/52641-%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-momonga.patch
Patch1: %{name}-0.4.2-desktop.patch
Patch2: %{name}-%{version}-correct-version.patch
# patches from Fedora
Patch10: %{name}-%{version}-start_amarok.patch
Patch11: %{name}-%{version}-theme_prev_button.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: amarok
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: ImageMagick
BuildPreReq: desktop-file-utils

%description
AmarokFS (Amarok Full Screen) is a full screen front-end for Amarok that
provides a simple and nice looking graphical user interface. It is very
suitable for parties and public terminals. The front-end's appearance can be
customized using themes.

This package also contains a script that allows AmarokFS to be launched
from within Amarok itself.

%prep
%setup -q

%patch0 -p1 -b .change-path
%patch1 -p1 -b .desktop~
%patch2 -p1 -b .version

# Fedora patches
%patch10 -p1 -b .start_amarok
%patch11 -p1 -b .theme_prev_button

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

qmake

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Application \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/amarokFS.desktop

# convert and install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
convert %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/amarokFS.png \
  -sample 48x48 %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/amarokFS.png

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/amarokFS.png %{buildroot}%{_datadir}/pixmaps/amarokFS.png

# fix permission of icon
chmod 644 %{buildroot}%{_datadir}/icons/hicolor/*/apps/amarokFS.png
chmod 644 %{buildroot}%{_datadir}/apps/amarokFS/images/*.png

# install Amarok integration script
mkdir -p %{buildroot}%{_datadir}/apps/amarok/scripts/amarokFS
cp -a script/* %{buildroot}%{_datadir}/apps/amarok/scripts/amarokFS/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README theme-howto.txt
%{_bindir}/amarokFS
%{_datadir}/applications/kde/amarokFS.desktop
%{_datadir}/apps/amarok/scripts/amarokFS
%{_datadir}/apps/amarokFS
%{_datadir}/icons/*/*/*/amarokFS.png
%{_datadir}/pixmaps/amarokFS.png

%changelog
* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-3m)
- rebuild against qt3

* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-2m)
- return to trunk

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- version 0.5
- update momonga.patch
- update start_amarok.patch
- update theme_prev_button.patch
- add correct-version.patch
- remove Source1
- remove merged config_dialog_layout.patch
- remove merged large_cover_images.patch
- remove merged theme_howto.patch

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- initial package for Momonga Linux
- 5 patches are imported from Fedora
